diff --git a/src/bin/psql/startup.c b/src/bin/psql/startup.c
index 69207c1..691ad14 100644
--- a/src/bin/psql/startup.c
+++ b/src/bin/psql/startup.c
@@ -150,12 +150,14 @@ main(int argc, char *argv[])
 
 	parse_psql_options(argc, argv, &options);
 
-	if (!pset.popt.topt.fieldSep.separator)
+	if (!pset.popt.topt.fieldSep.separator &&
+		!pset.popt.topt.fieldSep.separator_zero)
 	{
 		pset.popt.topt.fieldSep.separator = pg_strdup(DEFAULT_FIELD_SEP);
 		pset.popt.topt.fieldSep.separator_zero = false;
 	}
-	if (!pset.popt.topt.recordSep.separator)
+	if (!pset.popt.topt.recordSep.separator &&
+		!pset.popt.topt.recordSep.separator_zero)
 	{
 		pset.popt.topt.recordSep.separator = pg_strdup(DEFAULT_RECORD_SEP);
 		pset.popt.topt.recordSep.separator_zero = false;
